<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{videoedit.html}"
>
<head>
    <title>Video folder</title>
    <!--    <link rel="stylesheet" th:href="@{/css/newspaceship.css}" type="text/css"/>-->
</head>

<body>
<div layout:fragment="content_videoedit">
    <h1>Video folder</h1>
    <p>Video folder</p>
    <table class="table">
        <thead class="thead-dark">
        <tr>
            <th scope="col">Id</th>
            <th scope="col">Folder</th>
        </tr>
        </thead>
        <tbody>
        <tr th:if="${folders.isEmpty()}">
            <td scope="row"> No users to be displayed</td>
        </tr>
        <tr th:each="folder : ${folders}">
            <td scope="row"><span th:text="${folder.getId()}"> Id </span></td>
            <td><span th:text="${folder.getFolder()}"> name </span></td>
        </tr>
        </tbody>
    </table>

    <div id="addFolderContent">

        <h3>Add folder</h3>
        <br>

        <form id="addFolderForm" method="POST" enctype="multipart/form-data" th:object="${folderForm}"
              th:action="@{/control/videoedit/videofolder/add}">

            <div class="form-group row">
                <label for="inputFilename" class="col-sm-2 col-form-label">Folder name</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{folder}" class="form-control"
                           th:classappend="${#fields.hasErrors('folder')} ? is-invalid : ''" id="inputFilename">

                    <div th:if="${#fields.hasErrors('folder')}" class="invalid-feedback"
                         th:errors="*{folder}"></div>
                </div>
            </div>


            <div class="form-group row">
                <label class="ml-3 my-1 mr-2" for="inlineFormCustomSelectPref">Parent folder</label>
                <select class="custom-select custom-folder-dropdown my-1 mr-sm-2" id="inlineFormCustomSelectPref" th:field="*{parentFolderId}">
                    <option th:if="${folders.isEmpty()}" selected>No parent</option>
                    <option th:each="folder : ${folders}" th:value="${folder.getId()}"
                            th:text="${folder.getFolder()}"></option>

                </select>
            </div>

            <div class="form-group row">
                <div class="col-sm-12">
                    <button id="uploadFileSubmitButton" type="submit" class="btn btn-primary float-right"
                            data-toggle="tooltip"
                            data-placement="right"
                            title="This action will upload file and create record in database">Create
                    </button>
                </div>
            </div>
        </form>

    </div>


</div>

</body>

<footer layout:fragment="content_js">
    <!--    <script type="module" src="/js/control.js"></script>-->
</footer>